Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.remoting.marshal.rmi
Class RMIUnMarshaller

    java.lang.Object
      org.jboss.remoting.marshal.rmi.RMIUnMarshaller

All Implemented Interfaces:
  java.io.Serializable, UnMarshaller

    public class RMIUnMarshaller

extends java.lang.Object
implements UnMarshaller

This basically does nothing since RMI will handle marshalling by default. Is only here as a place holder.

Author:
  Tom Elrod
See Also:
  Serialized Form

Field Summary
`static java.lang.String` | `DATATYPE`

Constructor Summary
`RMIUnMarshaller()`

Method Summary
`UnMarshaller` | `cloneUnMarshaller()`
`java.lang.Object` | `read(java.io.InputStream inputStream, java.util.Map metadata)` Will read from the inputstream and converty contents to java Object.
`void` | `setClassLoader(java.lang.ClassLoader classloader)` Set the class loader to use for unmarhsalling.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DATATYPE

    public static final java.lang.String DATATYPE

See Also:
  Constant Field Values

Constructor Detail

### RMIUnMarshaller

    public RMIUnMarshaller()

Method Detail

### read

    public java.lang.Object read(java.io.InputStream inputStream,
                                 java.util.Map metadata)
                          throws java.io.IOException,
                                 java.lang.ClassNotFoundException

  Will read from the inputstream and converty contents to java Object.

  Specified by:
    `read` in interface `UnMarshaller`
  Parameters:
    `inputStream` - stream to read data from to do conversion
    `metadata` - can be any transport specific metadata (such as headers from http transport). This can be null, depending on if transport supports metadata.
  Returns:
  Throws:
    `java.io.IOException` - all specific i/o exceptions need to be thrown as this.
    `java.lang.ClassNotFoundException` - will be thrown if during the unmarshalling process can not find a specific class within classloader.

### setClassLoader

    public void setClassLoader(java.lang.ClassLoader classloader)

  Set the class loader to use for unmarhsalling. This may be needed when need to have access to class definitions that are not part of this unmarshaller's parent classloader (especially when doing remote classloading).

  Specified by:
    `setClassLoader` in interface `UnMarshaller`
  Parameters:
    `classloader` -

### cloneUnMarshaller

    public UnMarshaller cloneUnMarshaller()
                                   throws java.lang.CloneNotSupportedException

  Specified by:
    `cloneUnMarshaller` in interface `UnMarshaller`
  Throws:
    `java.lang.CloneNotSupportedException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright ? 1998-2005 JBoss Inc . All Rights Reserved.